Modules that provide backwards-compatibility to some features that were added later:

Perl 6

Perl 5.10

other